# Uses of Class
org.jfree.chart3d.data.Range

Packages that use Range
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.
org.jfree.chart3d.data.function
Representation of functions in the form `y = f(x, z)`.
org.jfree.chart3d.data.xyz
Datasets that can be used by the `XYZPlot` class.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.
org.jfree.chart3d.renderer
Base package for renderer support.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of Range in org.jfree.chart3d.axis

Fields in org.jfree.chart3d.axis declared as Range
Modifier and Type
Field
Description
`protected Range`
AbstractValueAxis3D.`range`
The axis range.
Methods in org.jfree.chart3d.axis that return Range
Modifier and Type
Method
Description
`protected abstract Range`
AbstractValueAxis3D.`adjustedDataRange(Range range)`
Adjusts the range by adding the lower and upper margins and taking into account any other settings.
`protected Range`
LogAxis3D.`adjustedDataRange(Range range)`
Adjusts the range by adding the lower and upper margins on the logarithmic range.
`protected Range`
NumberAxis3D.`adjustedDataRange(Range range)`
Adjusts the range by adding the lower and upper margins and taking into account also the `autoRangeStickyZero` flag.
`Range`
AbstractValueAxis3D.`getDefaultAutoRange()`
Returns the default range used when the `autoAdjustRange` flag is `true` but the dataset contains no values.
`Range`
AbstractValueAxis3D.`getRange()`
Returns the axis range.
`Range`
Axis3D.`getRange()`
Returns the axis range (the minimum and maximum values displayed on the axis).
`Range`
StandardCategoryAxis3D.`getRange()`
Returns the range for the axis.
Methods in org.jfree.chart3d.axis with parameters of type Range
Modifier and Type
Method
Description
`protected abstract Range`
AbstractValueAxis3D.`adjustedDataRange(Range range)`
Adjusts the range by adding the lower and upper margins and taking into account any other settings.
`protected Range`
LogAxis3D.`adjustedDataRange(Range range)`
Adjusts the range by adding the lower and upper margins on the logarithmic range.
`protected Range`
NumberAxis3D.`adjustedDataRange(Range range)`
Adjusts the range by adding the lower and upper margins and taking into account also the `autoRangeStickyZero` flag.
`void`
AbstractValueAxis3D.`setDefaultAutoRange(Range range)`
Sets the default range used when the `autoAdjustRange` flag is `true` but the dataset contains no values, and sends an `Axis3DChangeEvent` to all registered listeners.
`void`
AbstractValueAxis3D.`setRange(Range range)`
Sets the axis range (bounds) and sends an `Axis3DChangeEvent` to all registered listeners.
`void`
Axis3D.`setRange(Range range)`
Sets the axis range and sends an `Axis3DChangeEvent` to all registered listeners.
`void`
LogAxis3D.`setRange(Range range)`
Sets the range for the axis.
`void`
StandardCategoryAxis3D.`setRange(Range range)`
Sets the range for the axis and sends an `Axis3DChangeEvent` to all registered listeners.
`protected void`
AbstractValueAxis3D.`updateRange(Range range)`
Updates the axis range (used by the auto-range calculation) without notifying listeners.
`protected void`
LogAxis3D.`updateRange(Range range)`
Constructors in org.jfree.chart3d.axis with parameters of type Range
Modifier
Constructor
Description
``
`AbstractValueAxis3D(String label, Range range)`
Creates a new axis instance.
``
`NumberAxis3D(String label, Range range)`
Creates a new axis with the specified label and range.

## Uses of Range in org.jfree.chart3d.data

Methods in org.jfree.chart3d.data that return Range
Modifier and Type
Method
Description
`static Range`
DataUtils.`findStackedValueRange(Values3D<? extends Number> data)`
Finds the range of values in the dataset considering that each series is stacked on top of the other.
`static Range`
DataUtils.`findStackedValueRange(Values3D<? extends Number> data, double base)`
Finds the range of values in the dataset considering that each series is stacked on top of the others, starting at the base value.
`static Range`
DataUtils.`findValueRange(Values3D<? extends Number> data)`
Returns the range of values in the specified data structure (a three dimensional cube).
`static Range`
DataUtils.`findValueRange(Values3D<? extends Number> data, double base)`
Returns the range of values in the specified data cube, or `null` if there is no data.
`static Range`
DataUtils.`findValueRange(Values3D<? extends Number> data, double base, boolean finite)`
/** Returns the range of values in the specified data cube, or `null` if there is no data.
`static Range`
DataUtils.`findXRange(XYZDataset dataset)`
Returns the range of x-values in the dataset by iterating over all values (and ignoring `Double.NaN` and infinite values).
`static Range`
DataUtils.`findXRange(XYZDataset dataset, double inc)`
Returns the range of x-values in the dataset by iterating over all values (and ignoring `Double.NaN` values).
`static Range`
DataUtils.`findXRange(XYZDataset dataset, double inc, boolean finite)`
Returns the range of x-values in the dataset by iterating over all values (and ignoring `Double.NaN` values).
`static Range`
DataUtils.`findYRange(XYZDataset dataset)`
Returns the range of y-values in the dataset by iterating over all values (and ignoring `Double.NaN` and infinite values).
`static Range`
DataUtils.`findYRange(XYZDataset dataset, double inc)`
Returns the range of y-values in the dataset by iterating over all values (and ignoring `Double.NaN` values).
`static Range`
DataUtils.`findYRange(XYZDataset dataset, double inc, boolean finite)`
Returns the range of y-values in the dataset by iterating over all values (and ignoring `Double.NaN` values).
`static Range`
DataUtils.`findZRange(XYZDataset dataset)`
Returns the range of z-values in the dataset by iterating over all values (and ignoring `Double.NaN` and infinite values).
`static Range`
DataUtils.`findZRange(XYZDataset dataset, double inc)`
Returns the range of z-values in the dataset by iterating over all values (and ignoring `Double.NaN` values).
`static Range`
DataUtils.`findZRange(XYZDataset dataset, double inc, boolean finite)`
Returns the range of z-values in the dataset by iterating over all values (and ignoring `Double.NaN` values).
Methods in org.jfree.chart3d.data with parameters of type Range
Modifier and Type
Method
Description
`boolean`
Range.`intersects(Range range)`
Returns `true` if this range intersects with the specified range, and `false` otherwise.

## Uses of Range in org.jfree.chart3d.data.function

Methods in org.jfree.chart3d.data.function that return Range
Modifier and Type
Method
Description
`static Range`
Function3DUtils.`findYRange(Function3D f, Range xRange, Range zRange, int xSamples, int zSamples, boolean ignoreNaN)`
Returns the range of y-values in the function by sampling.
Methods in org.jfree.chart3d.data.function with parameters of type Range
Modifier and Type
Method
Description
`static Range`
Function3DUtils.`findYRange(Function3D f, Range xRange, Range zRange, int xSamples, int zSamples, boolean ignoreNaN)`
Returns the range of y-values in the function by sampling.

## Uses of Range in org.jfree.chart3d.data.xyz

Methods in org.jfree.chart3d.data.xyz with parameters of type Range
Modifier and Type
Method
Description
`static XYZDataset<String>`
XYZDatasetUtils.`sampleFunction(Function3D f, String key, Range xrange, double xcount, Range zrange, double zcount)`
Creates an `XYZDataset` by sampling a `Function3D` over a specified range.

## Uses of Range in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker that return Range
Modifier and Type
Method
Description
`Range`
NumberMarker.`getRange()`
Returns the range for the marker (in this case, a single value range).
`Range`
RangeMarker.`getRange()`
Returns the range of values for the marker.
`Range`
ValueMarker.`getRange()`
Returns the range of values covered by the marker.

## Uses of Range in org.jfree.chart3d.renderer

Fields in org.jfree.chart3d.renderer declared as Range
Modifier and Type
Field
Description
`static final Range`
RainbowScale.`ALL_HUES`
A range to include all hues.
`static final Range`
RainbowScale.`BLUE_TO_RED_RANGE`
A hue subrange that restricts colors to the blue to red range.
Methods in org.jfree.chart3d.renderer that return Range
Modifier and Type
Method
Description
`Range`
RainbowScale.`getHueSubrange()`
Returns the sub-range of hues used in this scale.
`Range`
AbstractColorScale.`getRange()`
Returns the range of data values over which the scale is defined.
`Range`
ColorScale.`getRange()`
Returns the range over which the scale is defined.
`Range`
FixedColorScale.`getRange()`
Returns the range `0.0` to `1.0` always.
Constructors in org.jfree.chart3d.renderer with parameters of type Range
Modifier
Constructor
Description
`protected`
`AbstractColorScale(Range range)`
Creates a new color scale for the specified data value range.
``
`GradientColorScale(Range range, Color lowColor, Color highColor)`
Creates a new instance with the specified value range and colors.
``
`RainbowScale(Range range)`
Creates a new rainbow scale for the specified value range, with 256 color samples in the blue to red range.
``
`RainbowScale(Range range, int samples, Range hueSubrange)`
Creates a new rainbow scale for the specified value range, with the given number of samples and hues restricted to the specified range.

## Uses of Range in org.jfree.chart3d.renderer.category

Methods in org.jfree.chart3d.renderer.category that return Range
Modifier and Type
Method
Description
`Range`
AbstractCategoryRenderer3D.`findValueRange(Values3D<? extends Number> data)`
Returns the range of values that will be required on the value axis to see all the data from the dataset.
`Range`
AreaRenderer3D.`findValueRange(Values3D<? extends Number> data)`
Returns the range (for the value axis) that is required for this renderer to show all the values in the specified data set.
`Range`
BarRenderer3D.`findValueRange(Values3D<? extends Number> data)`
Returns the range of values that will be required on the value axis to see all the data from the dataset.
`Range`
CategoryRenderer3D.`findValueRange(Values3D<? extends Number> data)`
Returns the range that should be used on the value axis to display all the specified data using this renderer.
`Range`
StackedBarRenderer3D.`findValueRange(Values3D<? extends Number> data)`
Returns the range of values that will be required on the value axis to see all the data from the dataset.

## Uses of Range in org.jfree.chart3d.renderer.xyz

Methods in org.jfree.chart3d.renderer.xyz that return Range
Modifier and Type
Method
Description
`Range`
AbstractXYZRenderer.`findXRange(XYZDataset dataset)`
Returns the range that is required on the x-axis for this renderer to display all the items in the specified dataset.
`Range`
BarXYZRenderer.`findXRange(XYZDataset dataset)`
Returns the range that needs to be set on the x-axis in order for this renderer to be able to display all the data in the supplied dataset.
`Range`
SurfaceRenderer.`findXRange(XYZDataset dataset)`
Returns the current range for the x-axis - the method is overridden because this renderer does not use a dataset (it samples and plots a function directly).
`Range`
XYZRenderer.`findXRange(XYZDataset dataset)`
Returns the range that should be set on the x-axis in order for this renderer to be able to display all the data in the supplied dataset.
`Range`
AbstractXYZRenderer.`findYRange(XYZDataset dataset)`
Returns the range that is required on the y-axis for this renderer to display all the items in the specified dataset.
`Range`
BarXYZRenderer.`findYRange(XYZDataset dataset)`
Returns the range to use for the y-axis to ensure that all data values are visible on the chart.
`Range`
SurfaceRenderer.`findYRange(XYZDataset dataset)`
Returns the range that the renderer requires on the y-axis to display all the data in the function.
`Range`
XYZRenderer.`findYRange(XYZDataset dataset)`
Returns the range that should be set on the y-axis in order for this renderer to be able to display all the data in the supplied dataset.
`Range`
AbstractXYZRenderer.`findZRange(XYZDataset dataset)`
Returns the range that is required on the z-axis for this renderer to display all the items in the specified dataset.
`Range`
BarXYZRenderer.`findZRange(XYZDataset dataset)`
Returns the range to use for the z-axis to ensure that all data values are visible on the chart.
`Range`
SurfaceRenderer.`findZRange(XYZDataset dataset)`
Returns the current range for the z-axis - the method is overridden because this renderer does not use a dataset (it samples and plots a function directly).
`Range`
XYZRenderer.`findZRange(XYZDataset dataset)`
Returns the range that should be set on the z-axis in order for this renderer to be able to display all the data in the supplied dataset.